<template>
  <el-watermark :font="font" :content="content">
    <router-view />
  </el-watermark>
</template>

<script setup>
import useSettingsStore from '@/store/modules/settings'
import { handleThemeStyle } from '@/utils/theme'
import { reactive } from 'vue'
const font = reactive({
  color: 'rgba(0, 0, 0, .15)'
})

const content = ref('')

onMounted(() => {
  nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme)
  })
})
</script>
